Get list of outbound transfers for a paypoint

View as MarkdownOpen in Claude
Retrieve a list of outbound transfers for a paypoint. Use filters to limit results.

Path parameters

entrystringRequired

The entity’s entrypoint identifier. Learn more

Query parameters

fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 20

Max number of records to return for the query. Use 0 or negative value to return all records.

parametersmap from strings to optional stringsOptional
Collection of field names, conditions, and values used to filter the query. See [Filters and Conditions Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference) for more information. <Info> **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client. For example: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20 should become: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20 </Info> List of field names accepted: - `transferDate` (gt, ge, lt, le, eq, ne) - `grossAmount` (gt, ge, lt, le, eq, ne) - `returnedAmount` (gt, ge, lt, le, eq, ne) - `billingFeeAmount` (gt, ge, lt, le, eq, ne) - `netFundedAmount` (gt, ge, lt, le, eq, ne) - `processor` (ne, eq, ct, nct) - `transferStatus` (ne, eq, in, nin) - `transferId` (ne, eq, in, nin) - `paypointLegalName` (ne, eq, ct, nct) - `paypointDbaName` (ne, eq, ct, nct) - `batchNumber` (ne, eq, ct, nct) - `batchId` (ne, eq, in, nin)
sortBystringOptional

The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.

Response

Success
Summaryobject
Summary information about the transfers.
Recordslist of objects
List of outbound transfer records.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error